Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.format.output.latex
Class LatexContentType

    java.lang.Object
      jpicedt.format.output.latex.LatexContentType

All Implemented Interfaces:
  ContentType

public class LatexContentType
extends Object
implements ContentType

Specifies content-type for Drawing's created by editor-kits.

Constructor Summary
`LatexContentType()`

Method Summary
`void` | `configure(Properties p)` Configure the EditorKit and the FormatterFactory returned by the factory methods, from the given Properties
`AbstractCustomizer` | `createCustomizer(Properties prop)` Returns a customizer panel for this content-type
`FormatterFactory` | `createFormatter()` creates a FormatterFactory that's suited for this content-type default implementation returns null.
`ViewFactory` | `createViewFactory()` Creates a ViewFactory that's suited for this content-type
`String` | `getPresentationName()` Return the presentation name of this content-type

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LatexContentType

    public LatexContentType()

Method Detail

### getPresentationName

    public String getPresentationName()

  Description copied from interface: `ContentType`
  Return the presentation name of this content-type

  Specified by:
    `getPresentationName` in interface `ContentType`
  Returns:
    the presentation name of this content-type

### createViewFactory

    public ViewFactory createViewFactory()

  Creates a ViewFactory that's suited for this content-type

  Specified by:
    `createViewFactory` in interface `ContentType`

### createFormatter

    public FormatterFactory createFormatter()

  creates a FormatterFactory that's suited for this content-type default implementation returns null.

  Specified by:
    `createFormatter` in interface `ContentType`

### createCustomizer

    public AbstractCustomizer createCustomizer(Properties prop)

  Returns a customizer panel for this content-type

  Specified by:
    `createCustomizer` in interface `ContentType`
  Parameters:
    `prop` - used to init the component or to store user-preferences on demand
  Returns:
    null if no customizer is available for this content-type

### configure

    public void configure(Properties p)

  Configure the EditorKit and the FormatterFactory returned by the factory methods, from the given Properties

  Specified by:
    `configure` in interface `ContentType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org